<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/19/2003 *
 * ===================                          Last change: 12/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-payments.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Payments (points) for confirmed mails            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verguetungen fuer best&auml;tigte Mails              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (((!isPostRequestElementSet('t_wait')) || (!isPostRequestElementSet('payment'))) && (isGetRequestElementSet('do')) && (getRequestElement('do') == 'add')) {
	unsetPostRequestElement('ok');
} // END - if

if (isFormSent()) {
	switch (getRequestElement('do')) {
		case 'add':
			addSql("INSERT INTO `{?_MYSQL_PREFIX?}_payments` (`time`,`payment`,`mail_title`,`price`) VALUES ('".postRequestElement('t_wait')."','".postRequestElement('payment')."','".postRequestElement('title')."','".postRequestElement('price')."')");
			if (countSumTotalData(postRequestElement('t_wait'), 'payments', 'id', 'time', true) == 1) {
				// Re-init the array here
				initSqls();
			} // END - if
			break;

		case 'edit':
			foreach (postRequestElement('time') as $id => $value) {
				addSql("UPDATE `{?_MYSQL_PREFIX?}_payments` SET `time`='" . $value . "',`payment`='".postRequestElement('payment', $id)."', price='".postRequestElement('price', $id)."', mail_title='".postRequestElement('mail_title', $id)."' WHERE `id`='".$id."' LIMIT 1");
			} // END - foreach
			break;

		case 'delete':
			foreach (postRequestElement('id') as $id => $value) {
				addSql("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_payments` WHERE `id`=" . bigintval($id) . " LIMIT 1");
			} // END - foreach
			break;
	} // END - switch

	// Save settings
	if (countSqls() > 0) {
		// Run all queries
		runFilterChain('run_sqls');
		$content = '<span class="notice">{--SETTINGS_SAVED--}</span>';
	} else {
		// Nothing has changed!
		$content = '<span class="notice">{--SETTINGS_NOT_SAVED--}</span>';
	}

	// Output template
	displayMessage($content);
} elseif ((isFormSent('delete')) && (ifPostContainsSelections())) {
	// Delete entries here
	$OUT = '';
	foreach (postRequestElement('sel') as $id => $value) {
		$result = SQL_QUERY_ESC("SELECT `id`,`time`,`mail_title` FROM `{?_MYSQL_PREFIX?}_payments` WHERE `id`=%s LIMIT 1",
			array(bigintval($id)), __FILE__, __LINE__);
		$content = SQL_FETCHARRAY($result);

		// Free result
		SQL_FREERESULT($result);

		// Load row template and switch colors
		$OUT .= loadTemplate('admin_delete_payments_row', true, $content);
	} // END - foreach

	// Load main template
	loadTemplate('admin_delete_payments', false, $OUT);
} elseif ((isFormSent('edit')) && (ifPostContainsSelections())) {
	// Edit entries
	$OUT = '';
	foreach (postRequestElement('sel') as $id => $value) {
		$result = SQL_QUERY_ESC("SELECT `id`,`time`,`payment`,`mail_title`,`price` FROM `{?_MYSQL_PREFIX?}_payments` WHERE `id`=%s LIMIT 1",
			array(bigintval($id)), __FILE__, __LINE__);
		$content = SQL_FETCHARRAY($result);

		// Free result
		SQL_FREERESULT($result);

		// Load row template and switch colors
		$OUT .= loadTemplate('admin_edit_payments_row', true, $content);
	} // END - foreach

	// Load main template
	loadTemplate('admin_edit_payments', false, $OUT);
} else {
	// Referral levels
	$result = SQL_QUERY("SELECT `id`,`time`,`payment`,`mail_title`,`price` FROM `{?_MYSQL_PREFIX?}_payments` ORDER BY `time` ASC", __FILE__, __LINE__);
	if (!SQL_HASZERONUMS($result)) {
		// Make referral levels editable and deletable
		$OUT = '';

		// List already existing categories for editing
		while ($content = SQL_FETCHARRAY($result)) {
			// Load row template and switch colors
			$OUT .= loadTemplate('admin_list_payments_row', true, $content);
		} // END - switch

		// Free memory
		SQL_FREERESULT($result);

		// Load main template
		loadTemplate('admin_list_payments', false, $OUT);
	} // END - if

	// Form for adding new referral levels
	loadTemplate('admin_add_payment');
}

// [EOF]
?>
